# Redux-Example

このディレクトリーは技術評論社Software Design8月号 
React特集「第3章　状態管理と大規模化の壁」サンプルです。
Reduxを使った、簡単なショップサイトのアプリケーションです。

![](./img/img.png)

## デモページの確認

このディレクトリーの`dist/index.html`を開くと、サンプルのデモを確認できます。

## ローカル環境での動作確認方法

パッケージをインストールします。

```bash
npm install
```

または

```bash
yarn install
```

その後、ターミナル等で以下のコマンドを入力します。

```bash
npm run start
```

または

```bash
yarn start
```

※キャッシュにより起動時にエラーが発生する場合があります。その場合は以下のコマンドを入力してキャッシュを削除し、もう一度`npm run start`、もしくは`yarn start`を実行してください。

```bash
npm cache clean
```

または

```bash
yarn cache clean
```